#ifndef ____HDL_PWM_H_
#define ____HDL_PWM_H_

#include "hc32_ll.h"

#define TMRA_UNIT                       (CM_TMRA_1)
#define TMRA_PERIPH_CLK                 (FCG2_PERIPH_TMRA_1)
#define TMRA_PWM_CH                     (TMRA_CH1)

#define TMRA_PWM_PORT                   (GPIO_PORT_A)
#define TMRA_PWM_PIN                    (GPIO_PIN_08)
#define TMRA_PWM_PIN_FUNC               (GPIO_FUNC_4)

#define TMRA_MD                         (TMRA_MD_SAWTOOTH)
#define TMRA_DIR                        (TMRA_DIR_UP)

void hdl_pwm_init(int frq);

void hdl_pwm_enable(void);

void hdl_pwm_disable(void);

void hdl_pwm_set_duty(int duty);

#endif

